SUSE SLED15 / SLES15セキュリティ更新プログラム:java-1_8_0-openjdk(SUSE-SU-2019:1211-2)(Spectre)

high Nessus プラグイン ID 126440

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このjava-1_8_0-openjdkのバージョン8u212 への更新では、次の問題が修正されます:

キャッシュサイドチャネル攻撃の軽減:

CVE-2019-2602:文字列の解析を向上しました(bsc#1132728)。

CVE-2019-2684:動的なRMI相互作用を向上しました(bsc#1132732)。

CVE-2019-2698:TrueTypeフォントをファジングしました。- setCurrGlyphID()(bsc#1132729)。

CVE-2018-3639:PR_SPEC_DISABLEよりもPR_SPEC_DISABLE_NOEXECを選択するように改訂版を修正しました。

修正された非セキュリティ問題:LTOを無効にしました(bsc#1133135)。

日本の新元号を追加しました。

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-1211=1

SUSE Linux Enterprise Module for Legacy Software 15-SP1:zypper in -t patch SUSE-SLE-Module-Legacy-15-SP1-2019-1211=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1132728

https://bugzilla.suse.com/show_bug.cgi?id=1132729

https://bugzilla.suse.com/show_bug.cgi?id=1132732

https://bugzilla.suse.com/show_bug.cgi?id=1133135

https://www.suse.com/security/cve/CVE-2018-3639/

https://www.suse.com/security/cve/CVE-2019-2602/

https://www.suse.com/security/cve/CVE-2019-2684/

https://www.suse.com/security/cve/CVE-2019-2698/

http://www.nessus.org/u?927367bb

プラグインの詳細

深刻度: High

ID: 126440

ファイル名: suse_SU-2019-1211-2.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2019/7/2

更新日: 2021/1/13

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: High

スコア: 7.1

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5.3

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.1

Temporal Score: 7.3

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk, p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk-accessibility, p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk-debuginfo, p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk-debugsource, p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk-demo, p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk-demo-debuginfo, p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk-devel, p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk-devel-debuginfo, p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk-headless, p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk-headless-debuginfo, p-cpe:/a:novell:suse_linux:java-1_8_0-openjdk-src, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2019/7/1

脆弱性公開日: 2018/5/22

参照情報

CVE: CVE-2018-3639, CVE-2019-2602, CVE-2019-2684, CVE-2019-2698